Package org.eclipse.emf.cdo.common.security

## Interface CDOPermissionProvider

- All Known Subinterfaces:
    `InternalSession`
  All Known Implementing Classes:
    `CDOPermissionProvider.Constant`

      public interface CDOPermissionProvider

  Provides the protection level of protectable objects.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOPermissionProvider.Constant` | Provides a constant protection level for all `revisions`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOPermissionProvider` | `NONE` |
    `static CDOPermissionProvider` | `READ` |
    `static CDOPermissionProvider` | `WRITE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOPermission` | `getPermission​(CDORevision revision, CDOBranchPoint securityContext)` |

- - ### Field Detail

    - #### NONE

          static final CDOPermissionProvider NONE

    - #### READ

          static final CDOPermissionProvider READ

    - #### WRITE

          static final CDOPermissionProvider WRITE

  - ### Method Detail

    - #### getPermission

          CDOPermission getPermission​(CDORevision revision,
                                      CDOBranchPoint securityContext)